aside {width: 20%;}

div.aside-container {
  width: 20%;
  height: 100%;
  padding: 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  position: fixed;
  box-shadow: 20px 5px 15px -25px black;
}

img.profile-img {
  width: 150px;
  height: 150px;
  border-radius: 100px;
}

div.email > span {
  font-size: 15px
}

div.content-scroll {
  width: 100%;
  height: 15%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
}

div.content-scroll > a {
  color: white;
  text-decoration: none;
  z-index: 1;
  position: relative;
  cursor: pointer;
}

div.content-scroll > a::before { /*impo*/
  content: "";
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 1px;
  background: rgb(209, 186, 214);
  visibility: hidden;
  transform: scaleX(0);
  transition: .25s linear; /*impo*/
}

div.content-scroll > a:hover {
  color: rgb(122, 88, 129);
}

div.content-scroll > a:hover::before {
  visibility: visible;
  transform: scaleX(1);
}

div.icons {
  width: 100%;
  height: 30%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

div.icons > a {
  color: white;
  font-size: 20px;
  position: relative;
}

div.icons > a::before {
  content: "";
  position: absolute;
  width: 100%;
  bottom: 0;
  height: 1px;
  background: rgb(209, 186, 214);
  visibility: hidden;
  transform: scaleX(0);
  transition: .25s linear;
}

div.icons > a:hover::before {
  visibility: visible;
  transform: scaleX(1);
}

.fa-heart:hover {color: rgb(177, 12, 12);}
.fa-coffee:hover {color: rgb(95, 38, 21);}